import org.antlr.v4.runtime.*;
import java.io.IOException;

public class TestAExpr {
 public static void main(String[] args) {
     try { // Syntax analysis
       ANTLRFileStream in = new ANTLRFileStream(args[0]);
       ArithExprASTLexer lexer = new ArithExprASTLexer(in);
       CommonTokenStream tokens = new CommonTokenStream(lexer);
       ArithExprASTParser parser = new ArithExprASTParser(tokens);
       AExpr expr = parser.prog().e; // get the AST in var expr
       // Semantics evaluation
       int res=expr.eval(); 
       System.out.println("Result: "+res);
     } catch (IOException ex) {
       System.err.printf("Cannot open file");
   }
 }
}
