from AritVisitor import AritVisitor
from AritParser import AritParser


class MyAritVisitor(AritVisitor):

    def visitInt(self, ctx):
        return int(ctx.getText())

    def visitMultiplicationExpr(self, ctx):
        leftval = self.visit(ctx.expr(0))
        rightval = self.visit(ctx.expr(1))
        if ctx.mdop.type == AritParser.MULT:
            return leftval * rightval
        else:
            return leftval / rightval

    def visitAdditiveExpr(self, ctx):
        leftval = self.visit(ctx.expr(0))
        rightval = self.visit(ctx.expr(1))
        if ctx.pmop.type == AritParser.PLUS:
            return leftval + rightval
        else:
            return leftval - rightval

    def visitPrintExpr(self, ctx):
        val = self.visit(ctx.expr())
        print('The value is ' + str(val))
