from AritVisitor import AritVisitor
from AritParser import *
from Ast import *

class MyAritVisitor(AritVisitor):
        # Visit a parse tree produced by AritParser#int and produce an AST.
  
    def visitInt(self, ctx):
        value = int(ctx.getText());
        return Num(value)

    def visitMultiplicationExpr(self, ctx):
        leftval = self.visit(ctx.expr(0))
        rightval =  self.visit(ctx.expr(1))
        myop = self.visit(ctx.mdop())
        if ( myop == '*'):
            return MultOp(left=leftval,right=rightval)
        else:
            return DivOp(left=leftval,right=rightval)
        
    def visitMdop(self, ctx): #a bit inelegant
        return ctx.getText()

    def visitPmop(self, ctx): #same
        return ctx.getText()
        
    def visitAdditiveExpr(self, ctx):
        leftval = self.visit(ctx.expr(0))
        rightval = self.visit(ctx.expr(1))
        if ( self.visit(ctx.pmop()) == '+'):  #see lab for a better way to match ops
            return AddOp(left=leftval,right=rightval)
        else:
            return SubOp(left=leftval,right=rightval)

    def visitToplevel(self, ctx):
        val =  self.visit(ctx.expr())
        return val

