from AritLexer import AritLexer
from AritParser import AritParser
from AritVisitor import AritVisitor
from MyAritVisitor import MyAritVisitor
from Ast import AST

import antlr4
import sys

def main():
    lexer = AritLexer(antlr4.StdinStream())
    stream = antlr4.CommonTokenStream(lexer)
    parser = AritParser(stream)
    tree=parser.prog();
    print("parser:success")
    
    visitor = MyAritVisitor();
    myast=visitor.visit(tree);
    print("Value of expr = "+str(myast.eval()))
    
if __name__ == '__main__':
    main()

